Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
40.64.0.0
Broadcast address
40.127.255.255
First usable
40.64.0.1
Last usable
40.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 28400000 · Integer 675282944 to 679477247
Reverse DNS zones
64.40.in-addr.arpa
65.40.in-addr.arpa
66.40.in-addr.arpa
67.40.in-addr.arpa
68.40.in-addr.arpa
69.40.in-addr.arpa
70.40.in-addr.arpa
71.40.in-addr.arpa
72.40.in-addr.arpa
73.40.in-addr.arpa
74.40.in-addr.arpa
75.40.in-addr.arpa
76.40.in-addr.arpa
77.40.in-addr.arpa
78.40.in-addr.arpa
79.40.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.01000000.00000000.0000000040.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101000.01000000.00000000.0000000040.64.0.0
Broadcast00101000.01111111.11111111.1111111140.127.255.255
Split into smaller subnets/22

40.64.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.64.0.0/2240.64.0.1 to 40.64.3.25440.64.3.2551,022
240.64.4.0/2240.64.4.1 to 40.64.7.25440.64.7.2551,022
340.64.8.0/2240.64.8.1 to 40.64.11.25440.64.11.2551,022
440.64.12.0/2240.64.12.1 to 40.64.15.25440.64.15.2551,022
540.64.16.0/2240.64.16.1 to 40.64.19.25440.64.19.2551,022
640.64.20.0/2240.64.20.1 to 40.64.23.25440.64.23.2551,022
740.64.24.0/2240.64.24.1 to 40.64.27.25440.64.27.2551,022
840.64.28.0/2240.64.28.1 to 40.64.31.25440.64.31.2551,022
940.64.32.0/2240.64.32.1 to 40.64.35.25440.64.35.2551,022
1040.64.36.0/2240.64.36.1 to 40.64.39.25440.64.39.2551,022
1140.64.40.0/2240.64.40.1 to 40.64.43.25440.64.43.2551,022
1240.64.44.0/2240.64.44.1 to 40.64.47.25440.64.47.2551,022
1340.64.48.0/2240.64.48.1 to 40.64.51.25440.64.51.2551,022
1440.64.52.0/2240.64.52.1 to 40.64.55.25440.64.55.2551,022
1540.64.56.0/2240.64.56.1 to 40.64.59.25440.64.59.2551,022
1640.64.60.0/2240.64.60.1 to 40.64.63.25440.64.63.2551,022
1740.64.64.0/2240.64.64.1 to 40.64.67.25440.64.67.2551,022
1840.64.68.0/2240.64.68.1 to 40.64.71.25440.64.71.2551,022
1940.64.72.0/2240.64.72.1 to 40.64.75.25440.64.75.2551,022
2040.64.76.0/2240.64.76.1 to 40.64.79.25440.64.79.2551,022
2140.64.80.0/2240.64.80.1 to 40.64.83.25440.64.83.2551,022
2240.64.84.0/2240.64.84.1 to 40.64.87.25440.64.87.2551,022
2340.64.88.0/2240.64.88.1 to 40.64.91.25440.64.91.2551,022
2440.64.92.0/2240.64.92.1 to 40.64.95.25440.64.95.2551,022
2540.64.96.0/2240.64.96.1 to 40.64.99.25440.64.99.2551,022
2640.64.100.0/2240.64.100.1 to 40.64.103.25440.64.103.2551,022
2740.64.104.0/2240.64.104.1 to 40.64.107.25440.64.107.2551,022
2840.64.108.0/2240.64.108.1 to 40.64.111.25440.64.111.2551,022
2940.64.112.0/2240.64.112.1 to 40.64.115.25440.64.115.2551,022
3040.64.116.0/2240.64.116.1 to 40.64.119.25440.64.119.2551,022
3140.64.120.0/2240.64.120.1 to 40.64.123.25440.64.123.2551,022
3240.64.124.0/2240.64.124.1 to 40.64.127.25440.64.127.2551,022
3340.64.128.0/2240.64.128.1 to 40.64.131.25440.64.131.2551,022
3440.64.132.0/2240.64.132.1 to 40.64.135.25440.64.135.2551,022
3540.64.136.0/2240.64.136.1 to 40.64.139.25440.64.139.2551,022
3640.64.140.0/2240.64.140.1 to 40.64.143.25440.64.143.2551,022
3740.64.144.0/2240.64.144.1 to 40.64.147.25440.64.147.2551,022
3840.64.148.0/2240.64.148.1 to 40.64.151.25440.64.151.2551,022
3940.64.152.0/2240.64.152.1 to 40.64.155.25440.64.155.2551,022
4040.64.156.0/2240.64.156.1 to 40.64.159.25440.64.159.2551,022
4140.64.160.0/2240.64.160.1 to 40.64.163.25440.64.163.2551,022
4240.64.164.0/2240.64.164.1 to 40.64.167.25440.64.167.2551,022
4340.64.168.0/2240.64.168.1 to 40.64.171.25440.64.171.2551,022
4440.64.172.0/2240.64.172.1 to 40.64.175.25440.64.175.2551,022
4540.64.176.0/2240.64.176.1 to 40.64.179.25440.64.179.2551,022
4640.64.180.0/2240.64.180.1 to 40.64.183.25440.64.183.2551,022
4740.64.184.0/2240.64.184.1 to 40.64.187.25440.64.187.2551,022
4840.64.188.0/2240.64.188.1 to 40.64.191.25440.64.191.2551,022
4940.64.192.0/2240.64.192.1 to 40.64.195.25440.64.195.2551,022
5040.64.196.0/2240.64.196.1 to 40.64.199.25440.64.199.2551,022
5140.64.200.0/2240.64.200.1 to 40.64.203.25440.64.203.2551,022
5240.64.204.0/2240.64.204.1 to 40.64.207.25440.64.207.2551,022
5340.64.208.0/2240.64.208.1 to 40.64.211.25440.64.211.2551,022
5440.64.212.0/2240.64.212.1 to 40.64.215.25440.64.215.2551,022
5540.64.216.0/2240.64.216.1 to 40.64.219.25440.64.219.2551,022
5640.64.220.0/2240.64.220.1 to 40.64.223.25440.64.223.2551,022
5740.64.224.0/2240.64.224.1 to 40.64.227.25440.64.227.2551,022
5840.64.228.0/2240.64.228.1 to 40.64.231.25440.64.231.2551,022
5940.64.232.0/2240.64.232.1 to 40.64.235.25440.64.235.2551,022
6040.64.236.0/2240.64.236.1 to 40.64.239.25440.64.239.2551,022
6140.64.240.0/2240.64.240.1 to 40.64.243.25440.64.243.2551,022
6240.64.244.0/2240.64.244.1 to 40.64.247.25440.64.247.2551,022
6340.64.248.0/2240.64.248.1 to 40.64.251.25440.64.251.2551,022
6440.64.252.0/2240.64.252.1 to 40.64.255.25440.64.255.2551,022
6540.65.0.0/2240.65.0.1 to 40.65.3.25440.65.3.2551,022
6640.65.4.0/2240.65.4.1 to 40.65.7.25440.65.7.2551,022
6740.65.8.0/2240.65.8.1 to 40.65.11.25440.65.11.2551,022
6840.65.12.0/2240.65.12.1 to 40.65.15.25440.65.15.2551,022
6940.65.16.0/2240.65.16.1 to 40.65.19.25440.65.19.2551,022
7040.65.20.0/2240.65.20.1 to 40.65.23.25440.65.23.2551,022
7140.65.24.0/2240.65.24.1 to 40.65.27.25440.65.27.2551,022
7240.65.28.0/2240.65.28.1 to 40.65.31.25440.65.31.2551,022
7340.65.32.0/2240.65.32.1 to 40.65.35.25440.65.35.2551,022
7440.65.36.0/2240.65.36.1 to 40.65.39.25440.65.39.2551,022
7540.65.40.0/2240.65.40.1 to 40.65.43.25440.65.43.2551,022
7640.65.44.0/2240.65.44.1 to 40.65.47.25440.65.47.2551,022
7740.65.48.0/2240.65.48.1 to 40.65.51.25440.65.51.2551,022
7840.65.52.0/2240.65.52.1 to 40.65.55.25440.65.55.2551,022
7940.65.56.0/2240.65.56.1 to 40.65.59.25440.65.59.2551,022
8040.65.60.0/2240.65.60.1 to 40.65.63.25440.65.63.2551,022
8140.65.64.0/2240.65.64.1 to 40.65.67.25440.65.67.2551,022
8240.65.68.0/2240.65.68.1 to 40.65.71.25440.65.71.2551,022
8340.65.72.0/2240.65.72.1 to 40.65.75.25440.65.75.2551,022
8440.65.76.0/2240.65.76.1 to 40.65.79.25440.65.79.2551,022
8540.65.80.0/2240.65.80.1 to 40.65.83.25440.65.83.2551,022
8640.65.84.0/2240.65.84.1 to 40.65.87.25440.65.87.2551,022
8740.65.88.0/2240.65.88.1 to 40.65.91.25440.65.91.2551,022
8840.65.92.0/2240.65.92.1 to 40.65.95.25440.65.95.2551,022
8940.65.96.0/2240.65.96.1 to 40.65.99.25440.65.99.2551,022
9040.65.100.0/2240.65.100.1 to 40.65.103.25440.65.103.2551,022
9140.65.104.0/2240.65.104.1 to 40.65.107.25440.65.107.2551,022
9240.65.108.0/2240.65.108.1 to 40.65.111.25440.65.111.2551,022
9340.65.112.0/2240.65.112.1 to 40.65.115.25440.65.115.2551,022
9440.65.116.0/2240.65.116.1 to 40.65.119.25440.65.119.2551,022
9540.65.120.0/2240.65.120.1 to 40.65.123.25440.65.123.2551,022
9640.65.124.0/2240.65.124.1 to 40.65.127.25440.65.127.2551,022
9740.65.128.0/2240.65.128.1 to 40.65.131.25440.65.131.2551,022
9840.65.132.0/2240.65.132.1 to 40.65.135.25440.65.135.2551,022
9940.65.136.0/2240.65.136.1 to 40.65.139.25440.65.139.2551,022
10040.65.140.0/2240.65.140.1 to 40.65.143.25440.65.143.2551,022
10140.65.144.0/2240.65.144.1 to 40.65.147.25440.65.147.2551,022
10240.65.148.0/2240.65.148.1 to 40.65.151.25440.65.151.2551,022
10340.65.152.0/2240.65.152.1 to 40.65.155.25440.65.155.2551,022
10440.65.156.0/2240.65.156.1 to 40.65.159.25440.65.159.2551,022
10540.65.160.0/2240.65.160.1 to 40.65.163.25440.65.163.2551,022
10640.65.164.0/2240.65.164.1 to 40.65.167.25440.65.167.2551,022
10740.65.168.0/2240.65.168.1 to 40.65.171.25440.65.171.2551,022
10840.65.172.0/2240.65.172.1 to 40.65.175.25440.65.175.2551,022
10940.65.176.0/2240.65.176.1 to 40.65.179.25440.65.179.2551,022
11040.65.180.0/2240.65.180.1 to 40.65.183.25440.65.183.2551,022
11140.65.184.0/2240.65.184.1 to 40.65.187.25440.65.187.2551,022
11240.65.188.0/2240.65.188.1 to 40.65.191.25440.65.191.2551,022
11340.65.192.0/2240.65.192.1 to 40.65.195.25440.65.195.2551,022
11440.65.196.0/2240.65.196.1 to 40.65.199.25440.65.199.2551,022
11540.65.200.0/2240.65.200.1 to 40.65.203.25440.65.203.2551,022
11640.65.204.0/2240.65.204.1 to 40.65.207.25440.65.207.2551,022
11740.65.208.0/2240.65.208.1 to 40.65.211.25440.65.211.2551,022
11840.65.212.0/2240.65.212.1 to 40.65.215.25440.65.215.2551,022
11940.65.216.0/2240.65.216.1 to 40.65.219.25440.65.219.2551,022
12040.65.220.0/2240.65.220.1 to 40.65.223.25440.65.223.2551,022
12140.65.224.0/2240.65.224.1 to 40.65.227.25440.65.227.2551,022
12240.65.228.0/2240.65.228.1 to 40.65.231.25440.65.231.2551,022
12340.65.232.0/2240.65.232.1 to 40.65.235.25440.65.235.2551,022
12440.65.236.0/2240.65.236.1 to 40.65.239.25440.65.239.2551,022
12540.65.240.0/2240.65.240.1 to 40.65.243.25440.65.243.2551,022
12640.65.244.0/2240.65.244.1 to 40.65.247.25440.65.247.2551,022
12740.65.248.0/2240.65.248.1 to 40.65.251.25440.65.251.2551,022
12840.65.252.0/2240.65.252.1 to 40.65.255.25440.65.255.2551,022
12940.66.0.0/2240.66.0.1 to 40.66.3.25440.66.3.2551,022
13040.66.4.0/2240.66.4.1 to 40.66.7.25440.66.7.2551,022
13140.66.8.0/2240.66.8.1 to 40.66.11.25440.66.11.2551,022
13240.66.12.0/2240.66.12.1 to 40.66.15.25440.66.15.2551,022
13340.66.16.0/2240.66.16.1 to 40.66.19.25440.66.19.2551,022
13440.66.20.0/2240.66.20.1 to 40.66.23.25440.66.23.2551,022
13540.66.24.0/2240.66.24.1 to 40.66.27.25440.66.27.2551,022
13640.66.28.0/2240.66.28.1 to 40.66.31.25440.66.31.2551,022
13740.66.32.0/2240.66.32.1 to 40.66.35.25440.66.35.2551,022
13840.66.36.0/2240.66.36.1 to 40.66.39.25440.66.39.2551,022
13940.66.40.0/2240.66.40.1 to 40.66.43.25440.66.43.2551,022
14040.66.44.0/2240.66.44.1 to 40.66.47.25440.66.47.2551,022
14140.66.48.0/2240.66.48.1 to 40.66.51.25440.66.51.2551,022
14240.66.52.0/2240.66.52.1 to 40.66.55.25440.66.55.2551,022
14340.66.56.0/2240.66.56.1 to 40.66.59.25440.66.59.2551,022
14440.66.60.0/2240.66.60.1 to 40.66.63.25440.66.63.2551,022
14540.66.64.0/2240.66.64.1 to 40.66.67.25440.66.67.2551,022
14640.66.68.0/2240.66.68.1 to 40.66.71.25440.66.71.2551,022
14740.66.72.0/2240.66.72.1 to 40.66.75.25440.66.75.2551,022
14840.66.76.0/2240.66.76.1 to 40.66.79.25440.66.79.2551,022
14940.66.80.0/2240.66.80.1 to 40.66.83.25440.66.83.2551,022
15040.66.84.0/2240.66.84.1 to 40.66.87.25440.66.87.2551,022
15140.66.88.0/2240.66.88.1 to 40.66.91.25440.66.91.2551,022
15240.66.92.0/2240.66.92.1 to 40.66.95.25440.66.95.2551,022
15340.66.96.0/2240.66.96.1 to 40.66.99.25440.66.99.2551,022
15440.66.100.0/2240.66.100.1 to 40.66.103.25440.66.103.2551,022
15540.66.104.0/2240.66.104.1 to 40.66.107.25440.66.107.2551,022
15640.66.108.0/2240.66.108.1 to 40.66.111.25440.66.111.2551,022
15740.66.112.0/2240.66.112.1 to 40.66.115.25440.66.115.2551,022
15840.66.116.0/2240.66.116.1 to 40.66.119.25440.66.119.2551,022
15940.66.120.0/2240.66.120.1 to 40.66.123.25440.66.123.2551,022
16040.66.124.0/2240.66.124.1 to 40.66.127.25440.66.127.2551,022
16140.66.128.0/2240.66.128.1 to 40.66.131.25440.66.131.2551,022
16240.66.132.0/2240.66.132.1 to 40.66.135.25440.66.135.2551,022
16340.66.136.0/2240.66.136.1 to 40.66.139.25440.66.139.2551,022
16440.66.140.0/2240.66.140.1 to 40.66.143.25440.66.143.2551,022
16540.66.144.0/2240.66.144.1 to 40.66.147.25440.66.147.2551,022
16640.66.148.0/2240.66.148.1 to 40.66.151.25440.66.151.2551,022
16740.66.152.0/2240.66.152.1 to 40.66.155.25440.66.155.2551,022
16840.66.156.0/2240.66.156.1 to 40.66.159.25440.66.159.2551,022
16940.66.160.0/2240.66.160.1 to 40.66.163.25440.66.163.2551,022
17040.66.164.0/2240.66.164.1 to 40.66.167.25440.66.167.2551,022
17140.66.168.0/2240.66.168.1 to 40.66.171.25440.66.171.2551,022
17240.66.172.0/2240.66.172.1 to 40.66.175.25440.66.175.2551,022
17340.66.176.0/2240.66.176.1 to 40.66.179.25440.66.179.2551,022
17440.66.180.0/2240.66.180.1 to 40.66.183.25440.66.183.2551,022
17540.66.184.0/2240.66.184.1 to 40.66.187.25440.66.187.2551,022
17640.66.188.0/2240.66.188.1 to 40.66.191.25440.66.191.2551,022
17740.66.192.0/2240.66.192.1 to 40.66.195.25440.66.195.2551,022
17840.66.196.0/2240.66.196.1 to 40.66.199.25440.66.199.2551,022
17940.66.200.0/2240.66.200.1 to 40.66.203.25440.66.203.2551,022
18040.66.204.0/2240.66.204.1 to 40.66.207.25440.66.207.2551,022
18140.66.208.0/2240.66.208.1 to 40.66.211.25440.66.211.2551,022
18240.66.212.0/2240.66.212.1 to 40.66.215.25440.66.215.2551,022
18340.66.216.0/2240.66.216.1 to 40.66.219.25440.66.219.2551,022
18440.66.220.0/2240.66.220.1 to 40.66.223.25440.66.223.2551,022
18540.66.224.0/2240.66.224.1 to 40.66.227.25440.66.227.2551,022
18640.66.228.0/2240.66.228.1 to 40.66.231.25440.66.231.2551,022
18740.66.232.0/2240.66.232.1 to 40.66.235.25440.66.235.2551,022
18840.66.236.0/2240.66.236.1 to 40.66.239.25440.66.239.2551,022
18940.66.240.0/2240.66.240.1 to 40.66.243.25440.66.243.2551,022
19040.66.244.0/2240.66.244.1 to 40.66.247.25440.66.247.2551,022
19140.66.248.0/2240.66.248.1 to 40.66.251.25440.66.251.2551,022
19240.66.252.0/2240.66.252.1 to 40.66.255.25440.66.255.2551,022
19340.67.0.0/2240.67.0.1 to 40.67.3.25440.67.3.2551,022
19440.67.4.0/2240.67.4.1 to 40.67.7.25440.67.7.2551,022
19540.67.8.0/2240.67.8.1 to 40.67.11.25440.67.11.2551,022
19640.67.12.0/2240.67.12.1 to 40.67.15.25440.67.15.2551,022
19740.67.16.0/2240.67.16.1 to 40.67.19.25440.67.19.2551,022
19840.67.20.0/2240.67.20.1 to 40.67.23.25440.67.23.2551,022
19940.67.24.0/2240.67.24.1 to 40.67.27.25440.67.27.2551,022
20040.67.28.0/2240.67.28.1 to 40.67.31.25440.67.31.2551,022
20140.67.32.0/2240.67.32.1 to 40.67.35.25440.67.35.2551,022
20240.67.36.0/2240.67.36.1 to 40.67.39.25440.67.39.2551,022
20340.67.40.0/2240.67.40.1 to 40.67.43.25440.67.43.2551,022
20440.67.44.0/2240.67.44.1 to 40.67.47.25440.67.47.2551,022
20540.67.48.0/2240.67.48.1 to 40.67.51.25440.67.51.2551,022
20640.67.52.0/2240.67.52.1 to 40.67.55.25440.67.55.2551,022
20740.67.56.0/2240.67.56.1 to 40.67.59.25440.67.59.2551,022
20840.67.60.0/2240.67.60.1 to 40.67.63.25440.67.63.2551,022
20940.67.64.0/2240.67.64.1 to 40.67.67.25440.67.67.2551,022
21040.67.68.0/2240.67.68.1 to 40.67.71.25440.67.71.2551,022
21140.67.72.0/2240.67.72.1 to 40.67.75.25440.67.75.2551,022
21240.67.76.0/2240.67.76.1 to 40.67.79.25440.67.79.2551,022
21340.67.80.0/2240.67.80.1 to 40.67.83.25440.67.83.2551,022
21440.67.84.0/2240.67.84.1 to 40.67.87.25440.67.87.2551,022
21540.67.88.0/2240.67.88.1 to 40.67.91.25440.67.91.2551,022
21640.67.92.0/2240.67.92.1 to 40.67.95.25440.67.95.2551,022
21740.67.96.0/2240.67.96.1 to 40.67.99.25440.67.99.2551,022
21840.67.100.0/2240.67.100.1 to 40.67.103.25440.67.103.2551,022
21940.67.104.0/2240.67.104.1 to 40.67.107.25440.67.107.2551,022
22040.67.108.0/2240.67.108.1 to 40.67.111.25440.67.111.2551,022
22140.67.112.0/2240.67.112.1 to 40.67.115.25440.67.115.2551,022
22240.67.116.0/2240.67.116.1 to 40.67.119.25440.67.119.2551,022
22340.67.120.0/2240.67.120.1 to 40.67.123.25440.67.123.2551,022
22440.67.124.0/2240.67.124.1 to 40.67.127.25440.67.127.2551,022
22540.67.128.0/2240.67.128.1 to 40.67.131.25440.67.131.2551,022
22640.67.132.0/2240.67.132.1 to 40.67.135.25440.67.135.2551,022
22740.67.136.0/2240.67.136.1 to 40.67.139.25440.67.139.2551,022
22840.67.140.0/2240.67.140.1 to 40.67.143.25440.67.143.2551,022
22940.67.144.0/2240.67.144.1 to 40.67.147.25440.67.147.2551,022
23040.67.148.0/2240.67.148.1 to 40.67.151.25440.67.151.2551,022
23140.67.152.0/2240.67.152.1 to 40.67.155.25440.67.155.2551,022
23240.67.156.0/2240.67.156.1 to 40.67.159.25440.67.159.2551,022
23340.67.160.0/2240.67.160.1 to 40.67.163.25440.67.163.2551,022
23440.67.164.0/2240.67.164.1 to 40.67.167.25440.67.167.2551,022
23540.67.168.0/2240.67.168.1 to 40.67.171.25440.67.171.2551,022
23640.67.172.0/2240.67.172.1 to 40.67.175.25440.67.175.2551,022
23740.67.176.0/2240.67.176.1 to 40.67.179.25440.67.179.2551,022
23840.67.180.0/2240.67.180.1 to 40.67.183.25440.67.183.2551,022
23940.67.184.0/2240.67.184.1 to 40.67.187.25440.67.187.2551,022
24040.67.188.0/2240.67.188.1 to 40.67.191.25440.67.191.2551,022
24140.67.192.0/2240.67.192.1 to 40.67.195.25440.67.195.2551,022
24240.67.196.0/2240.67.196.1 to 40.67.199.25440.67.199.2551,022
24340.67.200.0/2240.67.200.1 to 40.67.203.25440.67.203.2551,022
24440.67.204.0/2240.67.204.1 to 40.67.207.25440.67.207.2551,022
24540.67.208.0/2240.67.208.1 to 40.67.211.25440.67.211.2551,022
24640.67.212.0/2240.67.212.1 to 40.67.215.25440.67.215.2551,022
24740.67.216.0/2240.67.216.1 to 40.67.219.25440.67.219.2551,022
24840.67.220.0/2240.67.220.1 to 40.67.223.25440.67.223.2551,022
24940.67.224.0/2240.67.224.1 to 40.67.227.25440.67.227.2551,022
25040.67.228.0/2240.67.228.1 to 40.67.231.25440.67.231.2551,022
25140.67.232.0/2240.67.232.1 to 40.67.235.25440.67.235.2551,022
25240.67.236.0/2240.67.236.1 to 40.67.239.25440.67.239.2551,022
25340.67.240.0/2240.67.240.1 to 40.67.243.25440.67.243.2551,022
25440.67.244.0/2240.67.244.1 to 40.67.247.25440.67.247.2551,022
25540.67.248.0/2240.67.248.1 to 40.67.251.25440.67.251.2551,022
25640.67.252.0/2240.67.252.1 to 40.67.255.25440.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses